%%
%% !!! This test assumes your TTY supports UTF-8 output.
%%
-module(test_iconv).
-export([start/0]).

repeat(0, _F) ->
	ok;

repeat(N, F) ->
	F(),
	repeat(N-1, F).

start()->
	io:setopts([{encoding, unicode}]),
	iconv:init(),
	{ok, H1} = iconv:open("UTF-8", "GBK"),
	{ok, H2} = iconv:open("GBK", "UTF-8"),
	io:get_chars("press any key to start ...", 1),
	repeat(100, fun() ->
		T1 = "汉字测试", % UTF-8
		{ok, T2} = iconv:conv(H2, T1),
		{ok, T3} = iconv:conv(H1, T2),
		T4 = unicode:characters_to_list(T3),
		io:format("~ts~n", [T4])
	end).
